﻿using System;
using System.Windows.Forms;

namespace Grinder.Forms
{
    public sealed partial class AboutForm : Form
    {
        public AboutForm()
        {
            InitializeComponent();            
        }

        private void AboutForm_Load(object sender, EventArgs e)
        {
            Text = String.Format("About {0}", AssemblyInfo.AssemblyTitle);
            lblProductName.Text = AssemblyInfo.AssemblyProduct;
            lblVersion.Text = "Version " +  AssemblyInfo.AssemblyVersion;
            lblAuthor.Text = "Developed by " + AssemblyInfo.AssemblyCompany;                        
        }

        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            System.Diagnostics.Process.Start(Constants.WebsiteUrl);
        }

        private void linkLabel2_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            System.Diagnostics.Process.Start(Constants.BugtrackUrl);
        }
    }
}
