﻿using System.Windows.Forms;
using Grinder.Properties;
using Grinder.Renamer;

namespace Grinder.Forms
{
    public sealed partial class OverviewForm : Form
    {
        public OverviewForm(int filesCount, string destination, ProcessingMode processingMode, bool overwrite)
        {
            InitializeComponent();

            pictureBox.Image = Resources.information;
            
            listOverview.Items.Add("Files to process:\t\t"+ filesCount + " files");

            listOverview.Items.Add("Processing mode:\t\t" + processingMode + " files");
            if (processingMode != ProcessingMode.Rename)
            {
                listOverview.Items.Add("Destination Folder:\t\t" + destination);
                listOverview.Items.Add("Overwrite existing files:\t" + (overwrite ? "yes" : "no"));                
            }
              
        }
    }
}
