﻿using System.Xml.Linq;

namespace Grinder.Fb2
{
    public sealed class Sequence
    {
        public string Name { get; set; }
        public string Number { get; set; }

        public Sequence(XElement element)
        {
            XAttribute attr = element.Attribute("name");            
            Name = (attr == null) ? "" : attr.Value;

            attr = element.Attribute("number");
            Number = (attr == null) ? "" : attr.Value;
        }
    }
}
