using System.Collections.Generic;
using System.Drawing;
using System.IO;

namespace Grinder.Renamer
{
    public interface IRenamePlugin
    {
        IEnumerable<string> Extensions { get; }
        string Name { get; }
        Dictionary<string, string> Tokens { get; }
        Image Icon { get; }
        Dictionary<string, object> GetTokens(FileInfo file);
    }
}