﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Grinder.Renamer
{
    public static class RenamerConstants
    {
        public const char LeftDelimiter = '[';
        public const char RightDelimiter = ']';
        public const char ArgumentDelimiter = ':';
        public const char MultiArgDelimiter = ',';
        public const char PrefixDelimiter = '.';        
        public static readonly string[] InvalidChars = new[] { "/", ":", "*", "?", "|", "<", ">", "«", "»", "\"", "—" };
        public static readonly string Regex = string.Format("\\{0}(?<token>[\\.\\-\\#\\$\\{2}\\%\\&\\*\\{3}a-zA-Z0-9]*?)\\{1}",
                RenamerConstants.LeftDelimiter,
                RenamerConstants.RightDelimiter,
                RenamerConstants.MultiArgDelimiter,
                RenamerConstants.ArgumentDelimiter);
    }
}
