﻿using System.Collections.Generic;
using Grinder.Renamer.RenamePlugins;

namespace Grinder.Renamer
{
    public static class PluginManager
    {
        public static readonly IList<IRenamePlugin> RenamePlugins = new List<IRenamePlugin>
                                     {
                                         new CoreRenamePlugin(),
                                         new Fb2RenamePlugin(),
                                         new AudioRenamePlugin(),
                                         new VideoRenamePlugin(),
                                         new JpegRenamePlugin(),
                                         new HtmlRenamePlugin(),
                                         new PDFRenamePlugin()
                                     };        
    }
}
